USERDEL(8)

NOM
userdel - supprime un compte utilisateur et les fichiers associés

SYNOPSIS
userdel [-r] utilisateur

DESCRIPTION
La commande userdel modifie les fichiers d'administration des comptes du système, en supprimant toutes les entrées qui se réfèrent à utilisateur. L'utilisateur nommé doit exister.

-r  Les fichiers présents dans le répertoire personnel de l'utilisateur seront supprimés en même temps que le répertoire lui-même. Vous devrez rechercher et éliminer vous-même les fichiers situés dans d'autres systèmes de fichiers.

FICHIERS
/etc/passwd - informations sur les comptes des utilisateurs
/etc/shadow - mots de passe cachés des utilisateurs
/etc/group - informations sur les groupes

VALEUR DE RETOUR
0 - succès
1 - ne peut pas mettre à jour le fichier des mots de passe
2 - erreur de syntaxe
6 - l'utilisateur spécifié n'existe pas
8 - l'utilisateur est actuellement connecté
10 - ne peut pas mettre à jour le fichier des groupes
12 - ne peut pas supprimer le répertoire personnel

AVERTISSEMENTS
Userdel ne vous permet pas de supprimer un compte si l'utilisateur en question est actuellement connecté. Vous devez tuer tous les processus en cours d'exécution appartenant à l'utilisateur que vous êtes en train de supprimer. Vous ne pouvez pas supprimer d'attribut NIS d'un client NIS. Cela doit être effectué sur le serveur NIS.

VOIR AUSSI
chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8)

AUTEUR
Julianne Frances Haugh <jockgrrl@ix.netcom.com>

TRADUCTION
Frédéric Delanoy, 2000.
Nicolas FRANÇOIS, 2004. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.